{% extends 'base.html.twig' %}

{% block content %}

    {% if domains | length > 0 %}
        <h2>{{ 'domain.list.title' | trans }}</h2>
        <table class="table">
            <thead>
            <tr>
                <td>{{ 'domain.name.label' | trans }}</td>
                <td>{{ 'domain.owner' | trans }}</td>
                <td>{{ 'domain.action.label' | trans }}</td>
            </tr>
            </thead>
            <tbody>
            {% for domain in domains %}
                <tr>
                    <td>{{ domain.domainName }}</td>
                    <td>{{ domain.user.username }}</td>
                    <td>{% spaceless %}
                            {% if domain.registeredByFrama %}
                                <a href="{{ path('admin-view-domain', {'domain': domain.id}) }}">{{ 'domain.action.view' | trans }}</a>
                            {% else %}
                                {{ 'domain.external' | trans }}
                            {% endif %}
                    {% endspaceless %}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ 'domain.list.empty' | trans }}
    {% endif %}
{% endblock %}
